ServiceDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.ServiceDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class ServiceDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.generic.OrphanDefinitionParser
                  org.mule.config.spring.parsers.specific.ServiceDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class ServiceDefinitionParser

extends OrphanDefinitionParser

Field Summary

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`ServiceDefinitionParser()`
`ServiceDefinitionParser(Class clazz)`

Method Summary
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)` Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.

Methods inherited from class org.mule.config.spring.parsers.generic.OrphanDefinitionParser
`getBeanClass, preProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, getBeanAssembler, getBeanAssemblerFactory, getBeanClassFromAttribute, getBeanName, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, postProcess, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Constructor Detail

### ServiceDefinitionParser

    public ServiceDefinitionParser()

### ServiceDefinitionParser

    public ServiceDefinitionParser(Class clazz)

Method Detail

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.

  The default implementation delegates to the `doParse` version without ParserContext argument.

  Overrides:
    `doParse` in class `AbstractMuleBeanDefinitionParser`
  Parameters:
    `element` - the XML element being parsed
    `parserContext` - the object encapsulating the current state of the parsing process
    `builder` - used to define the `BeanDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.